@import "variables";
@import "mixins";

*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    list-style-type: none;
    color: $white;
    overflow-x: hidden;
    font-family: $lato;
}


body {
    background-color: $darkgrey;
    font-size: 16px;
    height: 100vh;
}


.inner__default {
    max-width: 90rem;
    margin: 0 auto;
}


.hero {
    background-color: $black;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    width: 100vw;
    height: 100vh;
    display: flex;
    flex-direction: column;

    .hero__container {
        z-index: 1;
        @extend .inner__default;
        margin-top: 10em;
        position: relative;
        height: min-content;
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 5rem 10rem;
        border: 0.063rem solid $white;
        border-radius: 1em;

        h1 {
            margin-bottom: 3em;
        }

        p {
            margin-bottom: 3em;
        }
    }
}


.cards {
    background-color: $black;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    width: 100vw;
    padding-bottom: 10rem;
    display: flex;
    flex-direction: row;
    align-items: normal;

    .cards__container {
        width: 20rem;
        background-color: black;
        z-index: 1;
        @extend .inner__default;
        margin-top: 10em;
        position: relative;
        height: min-content;
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 5rem 10rem;
        border: 0.063rem solid $white;
        border-radius: 1em;

        h1 {
            margin-bottom: 3em;
        }

        p {
            margin-bottom: 3em;
        }
    }
}


.shop_main {
    padding: 0 2em;
    background-color: $black;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    width: 100vw;
    height: 89vh;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}


.aside {
    flex-grow: 1;

    .aside__container {
        background-color: black;
        z-index: 1;
        @extend .inner__default;
        margin-top: 10em;
        position: relative;
        height: min-content;
        display: flex;
        flex-direction: column;
        align-items: left;
        padding: 5rem 5rem;
        border: 0.063rem solid $white;
        border-radius: 1em;

        aside{
            *{
                margin-bottom: 0.3em;
            }
            h4{
                margin-left: 1em;
            }

            p{
                margin-left: 2em;
            }
        }

    }
}


.section {
    flex-grow: 8;
    margin-left: 1em;

    .section__container {
        background-color: black;
        z-index: 1;
        @extend .inner__default;
        margin-top: 10em;
        position: relative;
        height: min-content;
        display: flex;
        flex-direction: row;
        align-items: left;
        justify-content: space-evenly;
        flex-wrap: wrap;
        padding: 5rem 5rem;
        border: 0.063rem solid $white;
        border-radius: 1em;

        .tile {
            img {
                max-width: 10em;
            }

            width: 15rem;
            z-index: 1;
            margin-top: 0em;
            @extend .inner__default;
            position: relative;
            height: min-content;
            display: flex;
            flex-direction: column;
            align-items: left;
            padding: 2rem 2rem;
            border: 0.063rem solid $white;
            border-radius: 1em;

            h1 {
                margin-bottom: 2em;
            }

            li {
                margin-bottom: 1em;
            }

            input {
                width: 10em;
                background-color: $darkgrey;
                border: 0.063rem solid $white;
                border-radius: 1em;
                padding: 0.5em;
            }


        }


    }
}


.product {
    background-color: $black;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    width: 100vw;
    height: 89vh;
    display: flex;
    flex-direction: row;

    .product__container {
        z-index: 1;
        @extend .inner__default;
        margin-top: 10em;
        position: relative;
        height: min-content;
        display: flex;
        flex-direction: column;
        align-items: left;
        padding: 5rem 10rem;
        border: 0.063rem solid $white;
        border-radius: 1em;

        h1 {
            margin-bottom: 2em;
        }

        li {
            margin-bottom: 1em;
        }

        input {
            width: 10em;
            background-color: $darkgrey;
            border: 0.063rem solid $white;
            border-radius: 1em;
            padding: 0.5em;
        }

        img {
            max-height: 20em;
        }
    }
}


header {
    z-index: 2;
    position: fixed;
    width: 100vw;
    padding: 2rem 0;
    background-color: $darkgrey;

    .header__container {
        @extend .inner__default;
        display: flex;
        justify-content: space-between;
        align-items: center;

        ul {
            display: flex;

            li {
                margin-left: 1rem;
                border-bottom: 0.063rem solid transparent;
                cursor: pointer;
                padding-bottom: 0.5rem;

                &:hover {
                    border-bottom: 0.063rem solid;
                    border-image-source: linear-gradient(to right, $pink, $blue);
                    border-image-slice: 1;
                }
            }
        }
    }
}

footer {
    position: sticky;
    width: 100vw;
    padding: 2rem 0;
    background-color: $darkgrey;

    .footer__container {
        @extend .inner__default;
        display: flex;
        justify-content: space-between;
        align-items: center;

        ul {
            display: flex;

            li {
                margin-left: 1rem;
                border-bottom: 0.063rem solid transparent;
                cursor: pointer;
                padding-bottom: 0.5rem;
            }
        }
    }
}

.form_black_text {
    color: black;
}